package com.goldenwater.gx.service;

import com.goldenwater.gx.domain.DocDirectory;

import java.util.List;

public interface IDocDirectoryService {

    List<DocDirectory> selectDirectoryTree();

    List<DocDirectory> selectDirectoryByParentId(Long parentId);

    DocDirectory selectDirectoryById(Long id);

    int insertDirectory(DocDirectory directory);

    int updateDirectory(DocDirectory directory);

    int deleteDirectoryById(Long id);
}
